Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta.strats
Class LockGroupStateComparisonVersionStrategy.CustomUpdate

    java.lang.Object
      org.apache.openjpa.jdbc.sql.RowImpl
          kodo.jdbc.meta.strats.LockGroupStateComparisonVersionStrategy.CustomUpdate

All Implemented Interfaces:
  Cloneable, org.apache.openjpa.jdbc.sql.Row, org.apache.openjpa.jdbc.sql.RowManager

Enclosing class:
  LockGroupStateComparisonVersionStrategy

    public static class LockGroupStateComparisonVersionStrategy.CustomUpdate

extends org.apache.openjpa.jdbc.sql.RowImpl
implements org.apache.openjpa.jdbc.sql.RowManager

Row implementation we use to pass to versionable mappings so they can set up the where conditions we need to add to update statements.

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.sql.RowImpl
`flags, NULL, VALID`

Fields inherited from interface org.apache.openjpa.jdbc.sql.Row
`ACTION_DELETE, ACTION_INSERT, ACTION_UNKNOWN, ACTION_UPDATE`

Method Summary
`void` | `flushAllRows(org.apache.openjpa.jdbc.sql.Row row)`
`void` | `flushSecondaryRow(org.apache.openjpa.jdbc.sql.Row row)`
`Collection` | `getAllRowDeletes()`
`org.apache.openjpa.jdbc.sql.Row` | `getAllRows(org.apache.openjpa.jdbc.schema.Table table, int action)`
`Collection` | `getAllRowUpdates()`
`Collection` | `getDeletes()`
`Collection` | `getInserts()`
`org.apache.openjpa.jdbc.sql.Row` | `getRow(org.apache.openjpa.jdbc.schema.Table table, int action, org.apache.openjpa.kernel.OpenJPAStateManager sm, boolean create)`
`Collection` | `getSecondaryDeletes()`
`org.apache.openjpa.jdbc.sql.Row` | `getSecondaryRow(org.apache.openjpa.jdbc.schema.Table table, int action)`
`Collection` | `getSecondaryUpdates()`
`String` | `getSQL()` Return a boolean SQL expression that should be added to the WHERE clause of an UPDATE to test whether the current database record matches our stored version.
`Collection` | `getUpdates()`
`boolean` | `hasAutoAssignConstraints()`
`protected org.apache.openjpa.jdbc.sql.RowImpl` | `newInstance(org.apache.openjpa.jdbc.schema.Table table, int action)`
`void` | `setObject(org.apache.openjpa.jdbc.schema.Column col, Object val)`

Methods inherited from class org.apache.openjpa.jdbc.sql.RowImpl
`canSet, canSetAny, clearForeignKey, clearRelationId, clone, copyInto, flush, flush, generateSQL, getAction, getFailedObject, getParameterCount, getPrimaryKey, getSet, getSQL, getTable, getWhere, isDependent, isValid, setArray, setAsciiStream, setBigDecimal, setBigInteger, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCalendar, setChar, setCharacterStream, setClob, setDate, setDate, setDouble, setFailedObject, setFloat, setForeignKey, setForeignKey, setInt, setLocale, setLong, setNull, setNull, setNumber, setObject, setPrimaryKey, setPrimaryKey, setRaw, setRelationId, setShort, setString, setTime, setTimestamp, setValid, whereArray, whereAsciiStream, whereBigDecimal, whereBigInteger, whereBinaryStream, whereBlob, whereBoolean, whereByte, whereBytes, whereCalendar, whereChar, whereCharacterStream, whereClob, whereDate, whereDate, whereDouble, whereFloat, whereForeignKey, whereInt, whereLocale, whereLong, whereNull, whereNumber, whereObject, whereObject, wherePrimaryKey, whereRaw, whereShort, whereString, whereTime, whereTimestamp`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSQL

    public String getSQL()

  Return a boolean SQL expression that should be added to the WHERE clause of an UPDATE to test whether the current database record matches our stored version.

### newInstance

    protected org.apache.openjpa.jdbc.sql.RowImpl newInstance(org.apache.openjpa.jdbc.schema.Table table,
                                                              int action)

  Overrides:
    `newInstance` in class `org.apache.openjpa.jdbc.sql.RowImpl`

### hasAutoAssignConstraints

    public boolean hasAutoAssignConstraints()

### getInserts

    public Collection getInserts()

### getUpdates

    public Collection getUpdates()

### getDeletes

    public Collection getDeletes()

### getSecondaryUpdates

    public Collection getSecondaryUpdates()

### getSecondaryDeletes

    public Collection getSecondaryDeletes()

### getAllRowUpdates

    public Collection getAllRowUpdates()

### getAllRowDeletes

    public Collection getAllRowDeletes()

### getRow

    public org.apache.openjpa.jdbc.sql.Row getRow(org.apache.openjpa.jdbc.schema.Table table,
                                                  int action,
                                                  org.apache.openjpa.kernel.OpenJPAStateManager sm,
                                                  boolean create)

  Specified by:
    `getRow` in interface `org.apache.openjpa.jdbc.sql.RowManager`

### getSecondaryRow

    public org.apache.openjpa.jdbc.sql.Row getSecondaryRow(org.apache.openjpa.jdbc.schema.Table table,
                                                           int action)

  Specified by:
    `getSecondaryRow` in interface `org.apache.openjpa.jdbc.sql.RowManager`

### flushSecondaryRow

    public void flushSecondaryRow(org.apache.openjpa.jdbc.sql.Row row)

  Specified by:
    `flushSecondaryRow` in interface `org.apache.openjpa.jdbc.sql.RowManager`

### getAllRows

    public org.apache.openjpa.jdbc.sql.Row getAllRows(org.apache.openjpa.jdbc.schema.Table table,
                                                      int action)

  Specified by:
    `getAllRows` in interface `org.apache.openjpa.jdbc.sql.RowManager`

### flushAllRows

    public void flushAllRows(org.apache.openjpa.jdbc.sql.Row row)

  Specified by:
    `flushAllRows` in interface `org.apache.openjpa.jdbc.sql.RowManager`

### setObject

    public void setObject(org.apache.openjpa.jdbc.schema.Column col,
                          Object val)
                   throws SQLException

  Specified by:
    `setObject` in interface `org.apache.openjpa.jdbc.sql.Row`
  Overrides:
    `setObject` in class `org.apache.openjpa.jdbc.sql.RowImpl`
  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.